/// <reference types="node" />
/*********************************************************************
 * Copyright (c) 2024 Renesas Electronics Corporation and others
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *********************************************************************/
import { ChildProcess } from 'child_process';
import { GDBFileSystemProcessManagerBase } from './GDBFileSystemProcessManagerBase';
import { TargetLaunchRequestArguments } from '../../types/session';
import { IGDBServerProcessManager, IStdioProcess } from '../../types/gdb';
export declare class GDBServerFileSystemProcessManager extends GDBFileSystemProcessManagerBase implements IGDBServerProcessManager {
    protected proc?: ChildProcess;
    gdbVersion?: string;
    protected token: number;
    protected getCwd(requestArgs: TargetLaunchRequestArguments): string;
    start(requestArgs: TargetLaunchRequestArguments): Promise<IStdioProcess>;
    stop(): Promise<void>;
}
